---
updatedAt: 2025-04-29T09:34:09.000Z
agentTools:
  projectIndex: https://developers.wingify.com/llms.txt
---

# Update campaign status

Request URI for Sub Account

```
PATCH /accounts/40505/campaigns/status
```

<HTMLBlock>{`
<div></div>

<style></style>
`}</HTMLBlock>

Request Format

```json
{
    "ids": [
        14,
        15
    ],
    "status": "TRASHED"
}
```

Update campaign status

> 📘 **Note**
>
> Note
>
> > ValID status changes include `TRASHED`, `RESTORED`, `RUNNING`, `STOPPED`, `PAUSED`

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "api",
    "version": "4"
  },
  "servers": [
    {
      "url": "https://app.wingify.com/api/v2"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "token"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/accounts/{account_id}/campaigns/status": {
      "patch": {
        "summary": "Update campaign status",
        "description": "",
        "operationId": "update-a-campaign-1",
        "parameters": [
          {
            "name": "account_id",
            "in": "path",
            "description": "Use 'current' keyword to refer to the Main Workspace or the Integer Workspace Id",
            "required": true,
            "schema": {
              "type": "string",
              "default": "current"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"_data\": {\n        \"status\": \"STOPPED\",\n        \"ids\": [\n            14,\n            15\n        ]\n    }\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "_data": {
                      "type": "object",
                      "properties": {
                        "status": {
                          "type": "string",
                          "example": "STOPPED"
                        },
                        "ids": {
                          "type": "array",
                          "items": {
                            "type": "integer",
                            "example": 14,
                            "default": 0
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```